Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jnlp
Class UnavailableServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jnlp.UnavailableServiceException

All Implemented Interfaces:
  java.io.Serializable

    public class UnavailableServiceException

extends java.lang.Exception

The `UnavailableServiceException` is thrown by the `ServiceManager` when a non-existing or unavailable service is looked up.

Since:
  1.0
See Also:
  `ServiceManager`, Serialized Form

Constructor Summary
`UnavailableServiceException()` Constructs an `UnavailableServiceException` with `null` as its error detail message.
`UnavailableServiceException(java.lang.String msg)` Constructs an `UnavailableServiceException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnavailableServiceException

    public UnavailableServiceException()

  Constructs an `UnavailableServiceException` with `null` as its error detail message.

### UnavailableServiceException

    public UnavailableServiceException(java.lang.String msg)

  Constructs an `UnavailableServiceException` with the specified detail message. The error message string `s` can later be retrieved by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.

  Parameters:
    `msg` - the detail message.

Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998, 2011, Oracle and/or its affiliates. All rights reserved.